package com.qmth.teachcloud.mark.bean.scananswer;

import java.util.List;

import javax.validation.constraints.NotNull;

import com.qmth.teachcloud.common.enums.ScanStatus;
import com.qmth.teachcloud.mark.utils.PagerQuery;


public class AnswerQueryDomain extends PagerQuery {

    @NotNull(message = "考试ID不能为空")
    private Long examId;

    private List<ScanStatus> status;

	private Long studentId;

    private String studentCode;
    
    private String studentName;


    private String packageCode;

    private String courseCode;

    private String coursePaperId;

    private String coursePaperNumber;

	private String examPlace;

	private String examRoom;


    private Boolean absentSuspect;

    private Boolean omrAbsent;
    private Boolean omrAbsentChecked;

    private Boolean assigned;
    private Boolean assignConfirmed;

	private Boolean invalid;

    private Boolean incomplete;

    private Boolean questionFilled;
    private Boolean withPaper;
    private Boolean withOmrDetail;
	private String markPaperStatus;
	public Long getExamId() {
		return examId;
	}
	public void setExamId(Long examId) {
		this.examId = examId;
	}
	public List<ScanStatus> getStatus() {
		return status;
	}
	public void setStatus(List<ScanStatus> status) {
		this.status = status;
	}

	public Long getStudentId() {
		return studentId;
	}

	public void setStudentId(Long studentId) {
		this.studentId = studentId;
	}

	public String getStudentCode() {
		return studentCode;
	}
	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}
	public String getStudentName() {
		return studentName;
	}
	public void setStudentName(String studentName) {
		this.studentName = studentName;
	}
	public String getPackageCode() {
		return packageCode;
	}
	public void setPackageCode(String packageCode) {
		this.packageCode = packageCode;
	}
	public String getCourseCode() {
		return courseCode;
	}
	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}
	public String getCoursePaperId() {
		return coursePaperId;
	}
	public void setCoursePaperId(String coursePaperId) {
		this.coursePaperId = coursePaperId;
	}
	public String getCoursePaperNumber() {
		return coursePaperNumber;
	}
	public void setCoursePaperNumber(String coursePaperNumber) {
		this.coursePaperNumber = coursePaperNumber;
	}
	public String getExamPlace() {
		return examPlace;
	}
	public void setExamPlace(String examPlace) {
		this.examPlace = examPlace;
	}
	public String getExamRoom() {
		return examRoom;
	}
	public void setExamRoom(String examRoom) {
		this.examRoom = examRoom;
	}
	public Boolean getAbsentSuspect() {
		return absentSuspect;
	}
	public void setAbsentSuspect(Boolean absentSuspect) {
		this.absentSuspect = absentSuspect;
	}
	public Boolean getOmrAbsent() {
		return omrAbsent;
	}
	public void setOmrAbsent(Boolean omrAbsent) {
		this.omrAbsent = omrAbsent;
	}

	public Boolean getOmrAbsentChecked() {
		return omrAbsentChecked;
	}

	public void setOmrAbsentChecked(Boolean omrAbsentChecked) {
		this.omrAbsentChecked = omrAbsentChecked;
	}

	public Boolean getAssigned() {
		return assigned;
	}
	public void setAssigned(Boolean assigned) {
		this.assigned = assigned;
	}

	public Boolean getAssignConfirmed() {
		return assignConfirmed;
	}

	public void setAssignConfirmed(Boolean assignConfirmed) {
		this.assignConfirmed = assignConfirmed;
	}

	public Boolean getIncomplete() {
		return incomplete;
	}
	public void setIncomplete(Boolean incomplete) {
		this.incomplete = incomplete;
	}
	public Boolean getQuestionFilled() {
		return questionFilled;
	}
	public void setQuestionFilled(Boolean questionFilled) {
		this.questionFilled = questionFilled;
	}
	public Boolean getWithPaper() {
		return withPaper;
	}
	public void setWithPaper(Boolean withPaper) {
		this.withPaper = withPaper;
	}
	public Boolean getWithOmrDetail() {
		return withOmrDetail;
	}
	public void setWithOmrDetail(Boolean withOmrDetail) {
		this.withOmrDetail = withOmrDetail;
	}

	public String getMarkPaperStatus() {
		return markPaperStatus;
	}

	public void setMarkPaperStatus(String markPaperStatus) {
		this.markPaperStatus = markPaperStatus;
	}

	public Boolean getInvalid() {
		return invalid;
	}

	public void setInvalid(Boolean invalid) {
		this.invalid = invalid;
	}
}
